package model

type Torrent struct {
	TorrentID         int            `json:"torrent_id"`
	Episodes          Episodes       `json:"episodes"`
	Quality           torrentQuality `json:"quality"`
	Leechers          int            `json:"leechers"`
	Seeders           int            `json:"seeders"`
	Downloads         int            `json:"downloads"`
	TotalSize         int64          `json:"total_size"`
	SizeString        string         `json:"size_string"`
	URL               string         `json:"url"`
	Magnet            string         `json:"magnet"`
	UploadedTimestamp int            `json:"uploaded_timestamp"`
	Hash              string         `json:"hash"`
	Metadata          any            `json:"metadata"`
	RawBase64File     *string        `json:"raw_base64_file"`
}

type torrentQuality struct {
	String     string `json:"string"`
	Type       string `json:"type"`
	Resolution string `json:"resolution"`
	Encoder    string `json:"encoder"`
	LqAudio    any    `json:"lq_audio"`
}
